Bug 478103 - MIGRATED_FROM_JIRA: Error registering bean with name
MIGRATED_FROM_JIRA: Error registering bean with name
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Configuration (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:59 EST by Chandrasekar Kannan
Modified: 2018-02-07 15:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:59:28 EST
I try to use Penrose Server / Studio to connect an SQL Server Database and LDAP Server.
 
I declare my own classes in a file Named MAE.schema. Il followed the instructions. I copy my file in the C:\Program Files\Penrose server\...\ext directory and I launched this command :
 
C:\Program Files\Penrose Server>bin\schema schema\ext\MAE.schema
Generating schema classes for C:\Program Files\Penrose Server\schema\ext\MAE.schema...done.
 
I a have had a new file named MAE.jar. 
 
In the second time I happend a line in the "apacheds.xml" file int "conf" directory :
 
  
in the third time I launched PenRose :
 
C:\Program Files\Penrose Server>cd bin
C:\Program Files\Penrose Server\bin>penrose
[09/11/2005 18:24:18] Penrose Server failed to start: BeanDefinitionStoreException: Error registerin
g bean with name '' defined in URL [file:/C:/Program Files/Penrose Server/conf/apacheds.xml]: Bean c
lass [org.apache.ldap.server.schema.bootstrap.MAESchema] not found; nested exception is java.lang.Cl
assNotFoundException: org.apache.ldap.server.schema.bootstrap.MAESchema
C:\Program Files\Penrose Server\bin>
 
I have always this error. If I remove the line in the "apacheds.xml" file, I can launch Penrose Server, I can see my own classes with Penrose Studio but I can't see them when I launch JXplorer connecting to the Penrose server.
 
I thought that I have a wrong string in my MAE.schema file but even if I have only one d
Comment 1 Chandrasekar Kannan 2008-12-27 02:59:30 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-114

Note You need to log in before you can comment on or make changes to this bug.